> ## Documentation Index
> Fetch the complete documentation index at: https://rollfi-monthly-semi-monthly.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# addStateRegistrationForVirginia

> The respective  Code of the State is entered for Verification



## OpenAPI

````yaml post /stateRegistration#addStateRegistrationForVirginia
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /stateRegistration#addStateRegistrationForVirginia:
    post:
      tags: []
      summary: addStateRegistrationForVirginia
      description: The respective  Code of the State is entered for Verification
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addStateRegistrationForVirginia
                companyId:
                  type: string
                code:
                  type: string
                companyStateRegistration:
                  type: object
                  properties:
                    State Tax Deposit frequency:
                      type: string
                    Unemployment Rate:
                      type: string
                    VEC Account Number:
                      type: string
                    VA Tax Account Number:
                      type: string
                  required:
                    - State Tax Deposit frequency
                    - Unemployment Rate
                    - VEC Account Number
                    - VA Tax Account Number
              required:
                - method
                - companyId
                - code
                - companyStateRegistration
            example:
              method: addStateRegistration
              companyId: B599B497-48FD-4F1A-BB4D-8837A8DBEC71
              code: VA
              companyStateRegistration:
                State Tax Deposit frequency: Monthly
                Unemployment Rate: '2.5'
                VEC Account Number: '695955694'
                VA Tax Account Number: '741265586'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  message:
                    type: string
                required:
                  - status
                  - message
              example:
                status: Success
                message: >-
                  The company state registrations for Lakin LLC have been saved
                  successfully.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
              example:
                error:
                  code: 400
                  message: Invalid companyId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````